from flask import Flask, render_template, request, redirect, url_for, session, Blueprint
from portalfejlesztes_net_ben import portalfejlesztes_net_ben


app = Flask(__name__)
app.secret_key = 'your_secret_key'

@app.route('/')
@app.route('/home')
def home():
    return render_template('home.html')

@app.route('/about')
def about():
    return render_template('about.html')

@app.route('/uni')
def uni():
    return render_template('uni/uni.html')

@app.route('/projects')
def projects():
    return render_template('projects.html')

@app.route('/git')
def git():
    return render_template('git.html')


# Register the blueprint with a URL prefix
app.register_blueprint(portalfejlesztes_net_ben, url_prefix='/uni/portalfejlesztes_net_ben')


if __name__ == '__main__':
    app.run(debug=True)


app.run(host='192.168.2.182', port=5000)